org.bouncycastle.bcpg.sig

## Class PreferredAlgorithms

- java.lang.Object
- - org.bouncycastle.bcpg.SignatureSubpacket
  - - org.bouncycastle.bcpg.sig.PreferredAlgorithms

    public class PreferredAlgorithms
    extends SignatureSubpacket

packet giving signature creation time.

### Field Summary

### Fields inherited from class org.bouncycastle.bcpg.SignatureSubpacket

`data`

### Constructor Summary

Constructors
Constructor and Description
`PreferredAlgorithms(int type, boolean critical, byte[] data)`
`PreferredAlgorithms(int type, boolean critical, int[] preferrences)`

### Method Summary

Methods
`int[]` `getPreferences()`
`int[]` `getPreferrences()` Deprecated. mispelt!

### Methods inherited from class org.bouncycastle.bcpg.SignatureSubpacket

`encode, getData, getType, isCritical`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreferredAlgorithms

    public PreferredAlgorithms(int type,
                       boolean critical,
                       byte[] data)

#### PreferredAlgorithms

    public PreferredAlgorithms(int type,
                       boolean critical,
                       int[] preferrences)

### Method Detail

#### getPreferrences

    public int[] getPreferrences()

Deprecated. mispelt!

#### getPreferences

    public int[] getPreferences()